### Hierarchy

- AtomWindowStyle
  - AtomAlertWindowStyle

### Implements

- IAtomStyle

## Index

### Constructors

- constructor

### Properties

- name
- styleSheet

### Accessors

- buttonStyle
- closeButton
- commandBar
- commandBarPresenter
- content
- contentPresenter
- frame
- frameHost
- root
- title
- titleHost
- titlePresenter

### Methods

- build
- getBaseProperty
- toString

## Constructors

### constructor

- new AtomAlertWindowStyle(styleSheet: AtomStyleSheet, name: string): AtomAlertWindowStyle

- Inherited from AtomStyle.constructor

  - Defined in src/web/styles/AtomStyle.ts:26

  #### Parameters

  - ##### styleSheet: AtomStyleSheet

  - ##### name: string

  #### Returns AtomAlertWindowStyle

## Properties

### name

name: string

Implementation of IAtomStyle.name

Inherited from AtomStyle.name

- Defined in src/web/styles/AtomStyle.ts:30

### styleSheet

styleSheet: AtomStyleSheet

Inherited from AtomStyle.styleSheet

- Defined in src/web/styles/AtomStyle.ts:29

## Accessors

### buttonStyle

- get buttonStyle(): IStyleDeclaration

- - Defined in src/web/styles/AtomAlertWindowStyle.ts:42

  #### Returns IStyleDeclaration

### closeButton

- get closeButton(): IStyleDeclaration

- Inherited from AtomWindowStyle.closeButton

  - Defined in src/web/styles/AtomWindowStyle.ts:83

  #### Returns IStyleDeclaration

### commandBar

- get commandBar(): IStyleDeclaration

- Overrides AtomWindowStyle.commandBar

  - Defined in src/web/styles/AtomAlertWindowStyle.ts:25

  #### Returns IStyleDeclaration

### commandBarPresenter

- get commandBarPresenter(): IStyleDeclaration

- Inherited from AtomWindowStyle.commandBarPresenter

  - Defined in src/web/styles/AtomWindowStyle.ts:116

  #### Returns IStyleDeclaration

### content

- get content(): IStyleDeclaration

- Inherited from AtomWindowStyle.content

  - Defined in src/web/styles/AtomWindowStyle.ts:103

  #### Returns IStyleDeclaration

### contentPresenter

- get contentPresenter(): IStyleDeclaration

- Overrides AtomWindowStyle.contentPresenter

  - Defined in src/web/styles/AtomAlertWindowStyle.ts:16

  #### Returns IStyleDeclaration

### frame

- get frame(): IStyleDeclaration

- Inherited from AtomWindowStyle.frame

  - Defined in src/web/styles/AtomWindowStyle.ts:40

  #### Returns IStyleDeclaration

### frameHost

- get frameHost(): IStyleDeclaration

- Inherited from AtomWindowStyle.frameHost

  - Defined in src/web/styles/AtomWindowStyle.ts:29

  #### Returns IStyleDeclaration

### root

- get root(): IStyleDeclaration

- Inherited from AtomWindowStyle.root

  Overrides AtomStyle.root

  - Defined in src/web/styles/AtomWindowStyle.ts:12

  #### Returns IStyleDeclaration

### title

- get title(): IStyleDeclaration

- Inherited from AtomWindowStyle.title

  - Defined in src/web/styles/AtomWindowStyle.ts:77

  #### Returns IStyleDeclaration

### titleHost

- get titleHost(): IStyleDeclaration

- Overrides AtomWindowStyle.titleHost

  - Defined in src/web/styles/AtomAlertWindowStyle.ts:7

  #### Returns IStyleDeclaration

### titlePresenter

- get titlePresenter(): IStyleDeclaration

- Inherited from AtomWindowStyle.titlePresenter

  - Defined in src/web/styles/AtomWindowStyle.ts:52

  #### Returns IStyleDeclaration

## Methods

### build

- build(): void

- Inherited from AtomStyle.build

  - Defined in src/web/styles/AtomStyle.ts:50

  #### Returns void

### getBaseProperty

- getBaseProperty<T>(tc: IClassOf<T>, name: string): any

- Inherited from AtomStyle.getBaseProperty

  - Defined in src/web/styles/AtomStyle.ts:35

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tc: IClassOf<T>

  - ##### name: string

  #### Returns any

### toString

- toString(): string

- Inherited from AtomStyle.toString

  - Defined in src/web/styles/AtomStyle.ts:57

  #### Returns string

Generated using TypeDoc